Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.folders.controls
Interface FeedFoldersControl

All Superinterfaces
  CM_Control<FeedFolder>, ContentControlBase<FeedFolder,Folder>, GroupSpaceContentControl<FeedFolder>, Serializable

All Known Implementing Classes:
  FeedFoldersControlImpl

    public interface FeedFoldersControl

extends CM_Control<FeedFolder>

Create a GroupSpace Feed Folder

Nested Class Summary
`static interface` | `FeedFoldersControl.Properties`

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`FeedFolder` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod)`
`FeedFolder` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod, Folder parentFolder)`
`FeedFolder` | `create(String title, String description, String url)`
`FeedFolder` | `findByUrl(String url)`
`FeedFolder` | `findByUrl(String url, CommunityContent.Visibility visibility)`
`SortableFilterablePagedResult<FeedFolder>` | `getAllFeeds(CommunityContent.Visibility visibility)`
`Folder` | `getDefaultFolder(CommunityContent.Visibility visibility)`
`CommunityContent.Visibility` | `getDefaultVisibility()`
`FeedFolder` | `removeByUrl(String url)`
`FeedFolder` | `removeByUrl(String url, CommunityContent.Visibility visibility)`
`void` | `setDefaultVisibility(CommunityContent.Visibility visibility)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    FeedFolder create(String title,
                      String description,
                      String url)
                      throws Exception

  Throws
    `Exception`

### create

    FeedFolder create(String title,
                      String description,
                      CommunityContent.Visibility visibility,
                      String author,
                      String link,
                      String url,
                      Calendar publicationDate,
                      String language,
                      String imageUrl,
                      long retentionPeriod)
                      throws Exception

  Throws
    `Exception`

### create

    FeedFolder create(String title,
                      String description,
                      CommunityContent.Visibility visibility,
                      String author,
                      String link,
                      String url,
                      Calendar publicationDate,
                      String language,
                      String imageUrl,
                      long retentionPeriod,
                      Folder parentFolder)
                      throws Exception

  Parameters
    `title` -
    `description` -
    `visibility` -
    `parentFolder` - This is only relevant for Community and Private visibilities
  Returns
    new Folder
  Throws
    `Exception`

### findByUrl

    FeedFolder findByUrl(String url)

### findByUrl

    FeedFolder findByUrl(String url,
                         CommunityContent.Visibility visibility)

### removeByUrl

    FeedFolder removeByUrl(String url)

### removeByUrl

    FeedFolder removeByUrl(String url,
                           CommunityContent.Visibility visibility)

### getAllFeeds

    SortableFilterablePagedResult<FeedFolder> getAllFeeds(CommunityContent.Visibility visibility)
                                                          throws Exception

  Throws
    `Exception`

### getDefaultFolder

    Folder getDefaultFolder(CommunityContent.Visibility visibility)
                            throws Exception

  Throws
    `Exception`

### getDefaultVisibility

    CommunityContent.Visibility getDefaultVisibility()

### setDefaultVisibility

    void setDefaultVisibility(CommunityContent.Visibility visibility)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved